package com.foreverwin.mesnac.dispatch.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-24
 */

@TableName("Z_CALL_ITEM")
public class CallItem extends Model<CallItem> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 叫料单号
     */
   @TableField("CALL_ITEM_NO")
   private String callItemNo;
    /**
     * 工单编号
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 生产批次
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 派工单号
     */
   @TableField("DISPATCH_NO")
   private String dispatchNo;
    /**
     * 工序编号
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 步骤标识
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 资源编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 组件
     */
   @TableField("COMPONENT_BO")
   private String componentBo;
    /**
     * 叫料类型：MATERIAL/OPERATION
     */
   @TableField("CALL_TYPE")
   private String callType;
    /**
     * 需求数量
     */
   @TableField("REQUIRED_QTY")
   private Double requiredQty;
    /**
     * 需求时间
     */
   @TableField("REQUIRED_DATE_TIME")
   private LocalDateTime requiredDateTime;
    /**
     * 状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 叫料状态
     */
   @TableField("CALL_STATUS")
   private String callStatus;
    /**
     * 发料状态
     */
   @TableField("SEND_STATUS")
   private String sendStatus;
    /**
     * 创建用户
     */
   @TableField("CREATE_USER_BO")
   private String createUserBo;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 更新用户
     */
   @TableField("UPDATE_USER_BO")
   private String updateUserBo;
    /**
     * 更新时间
     */
   @TableField("UPDATED_DATE_TIME")
   private LocalDateTime updatedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getCallItemNo() {
      return callItemNo;
   }

   public void setCallItemNo(String callItemNo) {
      this.callItemNo = callItemNo;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getDispatchNo() {
      return dispatchNo;
   }

   public void setDispatchNo(String dispatchNo) {
      this.dispatchNo = dispatchNo;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getComponentBo() {
      return componentBo;
   }

   public void setComponentBo(String componentBo) {
      this.componentBo = componentBo;
   }

   public String getCallType() {
      return callType;
   }

   public void setCallType(String callType) {
      this.callType = callType;
   }

   public Double getRequiredQty() {
      return requiredQty;
   }

   public void setRequiredQty(Double requiredQty) {
      this.requiredQty = requiredQty;
   }

   public LocalDateTime getRequiredDateTime() {
      return requiredDateTime;
   }

   public void setRequiredDateTime(LocalDateTime requiredDateTime) {
      this.requiredDateTime = requiredDateTime;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getCallStatus() {
      return callStatus;
   }

   public void setCallStatus(String callStatus) {
      this.callStatus = callStatus;
   }

   public String getSendStatus() {
      return sendStatus;
   }

   public void setSendStatus(String sendStatus) {
      this.sendStatus = sendStatus;
   }

   public String getCreateUserBo() {
      return createUserBo;
   }

   public void setCreateUserBo(String createUserBo) {
      this.createUserBo = createUserBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getUpdateUserBo() {
      return updateUserBo;
   }

   public void setUpdateUserBo(String updateUserBo) {
      this.updateUserBo = updateUserBo;
   }

   public LocalDateTime getUpdatedDateTime() {
      return updatedDateTime;
   }

   public void setUpdatedDateTime(LocalDateTime updatedDateTime) {
      this.updatedDateTime = updatedDateTime;
   }

   public static final String HANDLE = "HANDLE";

   public static final String SITE = "SITE";

   public static final String CALL_ITEM_NO = "CALL_ITEM_NO";

   public static final String SHOP_ORDER = "SHOP_ORDER";

   public static final String SFC = "SFC";

   public static final String DISPATCH_NO = "DISPATCH_NO";

   public static final String OPERATION = "OPERATION";

   public static final String STEP_ID = "STEP_ID";

   public static final String RESRCE = "RESRCE";

   public static final String COMPONENT_BO = "COMPONENT_BO";

   public static final String CALL_TYPE = "CALL_TYPE";

   public static final String REQUIRED_QTY = "REQUIRED_QTY";

   public static final String REQUIRED_DATE_TIME = "REQUIRED_DATE_TIME";

   public static final String STATUS = "STATUS";

   public static final String CALL_STATUS = "CALL_STATUS";

   public static final String SEND_STATUS = "SEND_STATUS";

   public static final String CREATE_USER_BO = "CREATE_USER_BO";

   public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

   public static final String UPDATE_USER_BO = "UPDATE_USER_BO";

   public static final String UPDATED_DATE_TIME = "UPDATED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "CallItem{" +
         "handle = " + handle +
         ", site = " + site +
         ", callItemNo = " + callItemNo +
         ", shopOrder = " + shopOrder +
         ", sfc = " + sfc +
         ", dispatchNo = " + dispatchNo +
         ", operation = " + operation +
         ", stepId = " + stepId +
         ", resrce = " + resrce +
         ", componentBo = " + componentBo +
         ", callType = " + callType +
         ", requiredQty = " + requiredQty +
         ", requiredDateTime = " + requiredDateTime +
         ", status = " + status +
         ", callStatus = " + callStatus +
         ", sendStatus = " + sendStatus +
         ", createUserBo = " + createUserBo +
         ", createdDateTime = " + createdDateTime +
         ", updateUserBo = " + updateUserBo +
         ", updatedDateTime = " + updatedDateTime +
         "}";
   }
}